<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		
		<!-- Bootstrap CSS -->
		<link rel="stylesheet" 
					href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">


		<!-- External CSS -->
		<link rel="stylesheet" type="text/css" href="./css/styles.css">

		<title>Bootstrap Components</title>
	</head>
	
	<body>
		<!-- Navbar -->
		<nav class="navbar navbar-expand-lg navbar-light bg-primary">
			<a class="navbar-brand" href="#">Navbar</a>
  		<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    	<span class="navbar-toggler-icon"></span>
  		</button>
  	
  	<div class="collapse navbar-collapse" id="navbarSupportedContent">
    	<ul class="navbar-nav">
      	<li class="nav-item active">
        	<a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
      	</li>
      	<li class="nav-item">
        	<a class="nav-link" href="#">Link</a>
      	</li>
    	</ul>
  	</div>
		</nav>
		<!-- End Navbar -->

		<div class="d-flex justify-content-center">
			<h1 class="bg-warning text-center text-md-left">Boostrap Components</h1>
		</div>

		<!-- Main Content -->
		<div class="container">
			<div class="jumbotron d-flex flex-column justify-content-center align-items-center text-secondary text-center text-md-left" id="banner">
				<h1>Welcome to our Page!</h1>
				<h3>These are samples of Bootstrap Components</h3>
			</div>

			<div class="row">
				<div class="col-md-6 my-4">
					<h2 class="text-center">Find Us!</h2>
					<iframe id="gmap_canvas" src="https://maps.google.com/maps?q=zuitt%20qc&t=&z=13&ie=UTF8&iwloc=&output=embed" frameborder="0" scrolling="no" marginheight="0" marginwidth="0"></iframe>
				</div>
				<div class="col-md-6 my-4">
					<h2 class="text-center">Contact Us!</h2>
					<form>
						<div class="form-group">
							<label for="txt-email">Email:</label>
							<input type="email" name="email" id="txt-email" placeholder="name@example.com" class="form-control">
						</div>
						<div class="form-group">
							<label for="txt-select">Example Select:</label>
							<select name="sampleSelect" id="txt-select" class="sampleSelect">
								<option>Option 1</option>
								<option>Option 2</option>
								<option>Option 3</option>
								<option>Option 4</option>
							</select>
						</div>
						<div class="form-group">
							<label for="txt-textarea">Example TextArea</label>
							<textarea name="form-control" id="txt-textarea" rows="3" class="form-control"></textarea>
						</div>
						<button type="button" class="btn btn-outline-primary" data-toggle="modal" data-target="#exampleModal">Submit</button>
						<button type="reset" class="btn btn-outline-danger">Reset</button>
					</form>
				</div>	
			</div>
			<!-- Carousel -->
			<div class="row mt-5 d-none d-md-block">
				<div class="col-md-6 mx-auto">
					<div data-ride="carousel" id="carouselExampleCaptions" class="carousel slide">
						<ol class="carousel-indicators">
							<li data-target="#carouselExampleCaptions" data-slide-to="0" class="active"></li>
							<li data-target="#carouselExampleCaptions" data-slide-to="1" class="active"></li>
							<li data-target="#carouselExampleCaptions" data-slide-to="2" class="active"></li>
							<li data-target="#carouselExampleCaptions" data-slide-to="3" class="active"></li>
							<li data-target="#carouselExampleCaptions" data-slide-to="4" class="active"></li>
						</ol>
						<div class="carousel-inner">
							<div class="carousel-item active">
								<img src="https://images.pexels.com/photos/4588032/pexels-photo-4588032.jpeg?auto=compress&cs=tinysrgb&w=1260&h=750&dpr=2" alt="dogImage" class="d-block w-100">
								<div class="carousel-caption d-none d-md-block">
									<h5>First slide label</h5>
									<p>Some representative placeholder for the first slide</p>
								</div>
							</div>
							<div>
								<div class="carousel-item">
								<img src="https://images.pexels.com/photos/2951921/pexels-photo-2951921.jpeg?auto=compress&cs=tinysrgb&w=1260&h=750&dpr=2" alt="dogImage" class="d-block w-100">
								<div class="carousel-caption d-none d-md-block">
									<h5>Second slide label</h5>
									<p>Some representative placeholder for the first slide</p>
								</div>
							</div>
							<div>
								<div class="carousel-item">
								<img src="https://images.pexels.com/photos/4588052/pexels-photo-4588052.jpeg?auto=compress&cs=tinysrgb&w=1260&h=750&dpr=2" alt="dogImage" class="d-block w-100">
								<div class="carousel-caption d-none d-md-block">
									<h5>Third slide label</h5>
									<p>
									Some representative placeholder for the first slide
									</p>
								</div>
							</div>
							<div>
								<div class="carousel-item">
								<img src="https://images.pexels.com/photos/4588014/pexels-photo-4588014.jpeg?auto=compress&cs=tinysrgb&w=1260&h=750&dpr=2" alt="dogImage" class="d-block w-100">
								<div class="carousel-caption d-none d-md-block">
									<h5>Fourth slide label</h5>
									<p>
										Some representative placeholder for the first slide
									</p>
								</div>
							</div>
							<!-- End of fourth carousel -->
							<div>
								<img src="https://images.pexels.com/photos/4588052/pexels-photo-4588052.jpeg?auto=compress&cs=tinysrgb&w=1260&h=750&dpr=2" alt="..." class="d-block w-100">
							</div>
						</div>
						<a href="#carouselExampleCaptions" role="button" data-slide="prev" class="carousel-control-prev">
							<span class="carousel-control-prev-icon" aria-hidden="true"></span>
							<span class="sr-only">Previous</span>
						</a>
						<a href="#carouselExampleCaptions" role="button" data-slide="next" class="carousel-control-next">
							<span class="carousel-control-next-icon" aria-hidden="true"></span>
							<span class="sr-only">Next</span>
						</a>
					</div>	
				</div>
			</div>
		
		<!-- End of carousel -->

		<!-- Card -->
		<div class="d-flex flex-row">
		<div style="width: 18rem;" class="card d-flex">
		  <img src="https://images.pexels.com/photos/4588052/pexels-photo-4588052.jpeg?auto=compress&cs=tinysrgb&w=1260&h=750&dpr=2" alt="..." class="card-img-top">
		  <div class="card-body">
		    <h5 class="card-title">Card title</h5>
		    <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
		    <a href="#" class="btn btn-warning">Checkout</a>
		  </div>
		</div>

		<div style="width: 18rem;" class="card">
		  <img src="https://images.pexels.com/photos/4588052/pexels-photo-4588052.jpeg?auto=compress&cs=tinysrgb&w=1260&h=750&dpr=2" alt="..." class="card-img-top">
		  <div class="card-body">
		    <h5 class="card-title">Card title</h5>
		    <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
		    <a href="#" class="btn btn-warning">Checkout</a>
		  </div>
		</div>

		<div style="width: 18rem;" class="card">
		  <img src="https://images.pexels.com/photos/4588052/pexels-photo-4588052.jpeg?auto=compress&cs=tinysrgb&w=1260&h=750&dpr=2" alt="..." class="card-img-top">
		  <div class="card-body">
		    <h5 class="card-title">Card title</h5>
		    <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
		    <a href="#" class="btn btn-warning">Checkout</a>
		  </div>
		</div>
		</div>
		<!-- End of Card -->

		<!-- Modal -->
		<div id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" class="modal fade">
			<div class="modal-dialog">
				<div class="modal-content">
					<div class="header">
						<h5 id="exampleModalLabel" class="modal-title">Thank you for contacting us!</h5>
							<button type="button" data-dismiss="modal" aria-label="Close" class="close">
							<span>&times;</span>
							</button>
					</div>
					</div>
					<div class="modal-body">
						Message successfully sent!
					</div>
					<div class="modal-footer">
					<button type="button" data-dismiss="modal" class="btn btn-danger">Close</button>
					</div>
				</div>
			</div>
		</div>
		<!-- End of modal -->

		</div>
		<!-- End of main content -->

		<!-- Footer -->
		<footer class="p-3 bg-primary mt-5">
			<p class="text-center text-white">This is our footer</p>
			<p class="text-center text-white">
				You may add parting message, info or even links for your users.
				You can use fontawesome for icons.
			</p>
			<!-- social media accounts -->
			<div>
				<a href="https://www.facebook.com/thonie.fernandez/" target="_blank" class="mx-3">
					<i class="fab fa-facebook-square"></i>
				</a>
				<!-- 
					Mini-Activity
						- Add fontawesome icons for linkedin and gitlab
						- Update anchor tag to add you link
							- insert the appropriate fontawesome icon
							- link should open a new tab
				-->
				<a href="https://www.linkedin.com/in/thonie-fernandez-106875194/" target="_blank" class="mx-3"></a>
				<a href="https://gitlab.com/SheWhoCode" target="_blank" class="mx-3"></a>
			</div>
		</footer>

		<!-- End footer -->

		<!-- JavaScript Dependencies -->
		<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
		<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>

		<!-- fontawesome -->
		<script src="https://kit.fontawesome.com/7a46a783b9.js" crossorigin="anonymous"></script>
	</body>
</html>